Click or drag to resize

MeshUnweldEdge Method

Adds creases to a smooth mesh by creating coincident vertices along selected edges.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public bool UnweldEdge(
	IEnumerable<int> edgeIndices,
	bool modifyNormals
)

Parameters

edgeIndices
Type: System.Collections.GenericIEnumerableInt32
An array of mesh topology edge indices.
modifyNormals
Type: SystemBoolean
If true, the vertex normals on each side of the edge take the same value as the face to which they belong, giving the mesh a hard edge look. If false, each of the vertex normals on either side of the edge is assigned the same value as the original normal that the pair is replacing, keeping a smooth look.

Return Value

Type: Boolean
true if successful, false otherwise.
Version Information

Rhino for Windows

Supported in: 6.13
See Also